com.r3corda.node.services.statemachine / StateMachineManager / SessionInit

# SessionInit

`data class SessionInit : SessionMessage`

### Constructors

<init> | `SessionInit(initiatorSessionId: Long, initiatorParty: Party, protocolName: String, firstPayload: Any?)`

### Properties

firstPayload | `val firstPayload: Any?`
initiatorParty | `val initiatorParty: Party`
initiatorSessionId | `val initiatorSessionId: Long`
protocolName | `val protocolName: String`